{% extends 'admin.html.twig' %}

{% block title %}UserCrud{% endblock %}

{% block body %}
    <h1 class='text-center p-4'>Users</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Email</th>
                <th>Roles</th>
                <th>IsVerified</th>
                <th>Actions</th>

            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }} </td>
                <td><a  href="{{ path('user_show', {'id': user.id}) }}">{{ user.email }}</a></td>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                <td>{{ user.isVerified ? 'Yes' : 'No' }}</td>
                <td>
                    {{ include('user/_delete_form.html.twig') }}  
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class='mb-5 btn btn-primary btn-rounded' href="{{ path('user_new') }}">Create new</a>
{% endblock %}
